- Deposit and withdrawal records are kept for 3 months.
- Each query can cover at most 2 hours and cannot span days.
- This service supports transfer wallet members only.
- For paging, see Pagination.
Path
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Token we provide |
Request parameters
| Field | Type | Required | Signed | Description |
|---|---|---|---|---|
channelID | number | Yes | ✓ | Channel ID (use 1 if you have no channels) |
account | string | Yes | ✓ | Member account (allowed characters: a-z A-Z 0-9 _-) |
startTime | string | Yes | ✓ | Search start time (see Time format) |
endTime | string | Yes | ✓ | Search end time (see Time format) |
nextToken | string | No | ✓ | Query token (empty on the first query, then the nextToken from the previous result) |
maxResults | number | Yes | ✓ | Maximum number of results (min 2000, max 5000) |
sign | string | Yes | Signature. See Signature for how to generate it |
Response
Success (the HTTP status code is always 200; checkstatus.code for the result)
| Field | Type | Description |
|---|---|---|
data | object | |
data.transactionList | object[] | Member transfer records |
data.transactionList[].transactionID | string | Transaction ID |
data.transactionList[].status | boolean | Transaction status (true: normal, false: abnormal) |
data.transactionList[].channelID | number | Channel ID |
data.transactionList[].account | string | Member account |
data.transactionList[].currency | string | Currency (contact our business team) |
data.transactionList[].amount | number | Transfer amount |
data.transactionList[].balanceBefore | number | Wallet balance before the transfer |
data.transactionList[].balanceAfter | number | Wallet balance after the transfer |
data.transactionList[].time | string | Transfer time (see Time format) |
data.nextToken | string | Token for the next query (empty string on the last page) |
data.maxResults | number | Maximum number of results returned |
data.total | number | Total number of records in this query |
status | object | Response status. See Response format |
